Bug 502359 - kdegames: trademark issues, kbattleship, ktron
Summary: kdegames: trademark issues, kbattleship, ktron
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegames (Show other bugs)
(Show other bugs)
Version: 11
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2009-05-24 12:54 UTC by Alexey Torkhov
Modified: 2009-08-25 04:44 UTC (History)
9 users (show)

Fixed In Version: 2.4-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-04 18:11:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexey Torkhov 2009-05-24 12:54:42 UTC
Description of problem:
As per bug 481507 comment 6, there is trademark ‘Battleship’, so perhaps kbattleship should be renamed.

My suggestion is to use name like ‘Sea fight’ or ‘Natal battle’, if approved by Fedora Legal.

Comment 1 Rex Dieter 2009-05-24 14:50:00 UTC
I suppose this can be a metabug, since we now have ktron to deal with too (in kde-4.2.85+)

Comment 2 Bug Zapper 2009-06-09 16:28:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Ngo Than 2009-06-25 11:52:45 UTC
Is there any objection to drop kbattleship and ktron in kdegames? It seems a lot of work in order to rename it. In my opinion it's not worth doing it.

Comment 4 Rex Dieter 2009-06-25 12:42:29 UTC
Dropping is agreeable, at least in the short-term until a better solution arises (renaming or whatever).

Comment 5 Kevin Kofler 2009-06-25 19:40:41 UTC
> Is there any objection to drop kbattleship and ktron in kdegames?

Yes, I object. :-)

I think it's a disservice to our users to drop these games when the only legal issue with them is the name. I'll work on renaming them ASAP. (What name should I use for KBattleShip? Does KSinkShips infringe on anything? KTron was already renamed to KSnakeDuel in kdegames3, I'll do the same for the KDE 4 version.)

Comment 6 Tom "spot" Callaway 2009-06-25 22:36:19 UTC
KSinkShips is fine. Be sure that when you do this, you remove the old name from anywhere that is visible to the end user. This includes the documentation, desktop files, and any references in the code itself that are displayed upon execution or use. You do not need to rename things in the code that are not user-visible, like function naming, etc, etc. You also do not need to rename the binary, although for sanity, you probably want to (and maybe make a symlink for anyone looking to manually launch it by its old name).

Let me know when you're done so I can audit it, please.

Comment 7 Ngo Than 2009-06-30 11:25:01 UTC
i don't know how long it will take to make a patch for that but it's best to be safe i will disable both in the meantime for rawhide. We can enable both again when we have the patch.

Comment 8 Ngo Than 2009-06-30 16:32:18 UTC
Tom, could you please give us some infos about how critical this issue is and when must it be fixed?

Comment 9 Rex Dieter 2009-06-30 16:39:06 UTC
Point is, our tentative plan is to make such a change land with KDE-4.3.0, which is at least some weeks away.  If there's additional urgency, then, we'll just have to make it happen faster.

Comment 10 Kevin Kofler 2009-07-04 17:18:56 UTC
Rebranded. I hope I caught all the places to rename, if you catch a stray "KTron" or "KBattleship", tell me where and I'll fix it.

Comment 11 Fedora Update System 2009-08-07 12:48:24 UTC
libmsn-4.0-0.12.beta7.fc11,PyKDE-3.16.3-1.fc11,PyQt4-4.5.4-1.fc11,PyQt-3.18.1-1.fc11,sip-4.8.2-1.fc11,kdelibs-4.3.0-2.fc11,kdeaccessibility-4.3.0-3.fc11,kdeadmin-4.3.0-1.fc11,kdeartwork-4.3.0-1.fc11,kdebase-4.3.0-1.fc11,kdebase-runtime-4.3.0-2.fc11,kdebase-workspace-4.3.0-5.fc11,kdebindings-4.3.0-3.fc11,kdeedu-4.3.0-2.fc11,kdegames-4.3.0-2.fc11,kdegraphics-4.3.0-1.fc11,kdelibs-experimental-4.3.0-1.fc11,kdemultimedia-4.3.0-1.fc11,kdenetwork-4.3.0-1.fc11,kdepim-runtime-4.3.0-1.fc11,kdepim-4.3.0-1.fc11,kdepimlibs-4.3.0-2.fc11,kdeplasma-addons-4.3.0-5.fc11,kdesdk-4.3.0-1.fc11,kdetoys-4.3.0-1.fc11,kdeutils-4.3.0-3.fc11,kde-plasma-stasks-0.5.1-6.fc11,soprano-2.3.0-2.fc11,strigi-0.7.0-1.fc11,akonadi-1.2.0-1.fc11,kdegames3-3.5.10-6.fc11,kde-i18n-3.5.10-9.fc11,kde-l10n-4.3.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libmsn-4.0-0.12.beta7.fc11,PyKDE-3.16.3-1.fc11,PyQt4-4.5.4-1.fc11,PyQt-3.18.1-1.fc11,sip-4.8.2-1.fc11,kdelibs-4.3.0-2.fc11,kdeaccessibility-4.3.0-3.fc11,kdeadmin-4.3.0-1.fc11,kdeartwork-4.3.0-1.fc11,kdebase-4.3.0-1.fc11,kdebase-runtime-4.3.0-2.fc11,kdebase-workspace-4.3.0-5.fc11,kdebindings-4.3.0-3.fc11,kdeedu-4.3.0-2.fc11,kdegames-4.3.0-2.fc11,kdegraphics-4.3.0-1.fc11,kdelibs-experimental-4.3.0-1.fc11,kdemultimedia-4.3.0-1.fc11,kdenetwork-4.3.0-1.fc11,kdepim-runtime-4.3.0-1.fc11,kdepim-4.3.0-1.fc11,kdepimlibs-4.3.0-2.fc11,kdeplasma-addons-4.3.0-5.fc11,kdesdk-4.3.0-1.fc11,kdetoys-4.3.0-1.fc11,kdeutils-4.3.0-3.fc11,kde-plasma-stasks-0.5.1-6.fc11,soprano-2.3.0-2.fc11,strigi-0.7.0-1.fc11,akonadi-1.2.0-1.fc11,kdegames3-3.5.10-6.fc11,kde-i18n-3.5.10-9.fc11,kde-l10n-4.3.0-1.fc11

Comment 12 Fedora Update System 2009-08-07 12:56:23 UTC
qzion-0.4.0-1.fc10,qedje-0.4.0-1.fc10,libmsn-4.0-0.12.beta7.fc10,PyKDE-3.16.3-1.fc10,PyQt4-4.5.4-1.fc10,PyQt-3.18.1-1.fc10,sip-4.8.2-1.fc10,kdelibs-4.3.0-2.fc10,kdeaccessibility-4.3.0-3.fc10,kdeadmin-4.3.0-1.fc10,kdeartwork-4.3.0-1.fc10,kdebase-4.3.0-1.fc10,kdebase-runtime-4.3.0-2.fc10,kdebase-workspace-4.3.0-5.fc10,kdebindings-4.3.0-3.fc10,kdeedu-4.3.0-2.fc10,kdegames-4.3.0-2.fc10,kdegraphics-4.3.0-1.fc10,kdelibs-experimental-4.3.0-1.fc10,kdemultimedia-4.3.0-1.fc10,kdenetwork-4.3.0-1.fc10,kdepim-runtime-4.3.0-1.fc10,kdepim-4.3.0-1.fc10,kdepimlibs-4.3.0-2.fc10,kdeplasma-addons-4.3.0-5.fc10,kdesdk-4.3.0-1.fc10,kdetoys-4.3.0-1.fc10,kdeutils-4.3.0-3.fc10,kde-plasma-stasks-0.5.1-6.fc10,soprano-2.3.0-2.fc10,strigi-0.7.0-1.fc10,akonadi-1.2.0-1.fc10,kdegames3-3.5.10-6.fc10,kde-i18n-3.5.10-9.fc10,kde-l10n-4.3.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qzion-0.4.0-1.fc10,qedje-0.4.0-1.fc10,libmsn-4.0-0.12.beta7.fc10,PyKDE-3.16.3-1.fc10,PyQt4-4.5.4-1.fc10,PyQt-3.18.1-1.fc10,sip-4.8.2-1.fc10,kdelibs-4.3.0-2.fc10,kdeaccessibility-4.3.0-3.fc10,kdeadmin-4.3.0-1.fc10,kdeartwork-4.3.0-1.fc10,kdebase-4.3.0-1.fc10,kdebase-runtime-4.3.0-2.fc10,kdebase-workspace-4.3.0-5.fc10,kdebindings-4.3.0-3.fc10,kdeedu-4.3.0-2.fc10,kdegames-4.3.0-2.fc10,kdegraphics-4.3.0-1.fc10,kdelibs-experimental-4.3.0-1.fc10,kdemultimedia-4.3.0-1.fc10,kdenetwork-4.3.0-1.fc10,kdepim-runtime-4.3.0-1.fc10,kdepim-4.3.0-1.fc10,kdepimlibs-4.3.0-2.fc10,kdeplasma-addons-4.3.0-5.fc10,kdesdk-4.3.0-1.fc10,kdetoys-4.3.0-1.fc10,kdeutils-4.3.0-3.fc10,kde-plasma-stasks-0.5.1-6.fc10,soprano-2.3.0-2.fc10,strigi-0.7.0-1.fc10,akonadi-1.2.0-1.fc10,kdegames3-3.5.10-6.fc10,kde-i18n-3.5.10-9.fc10,kde-l10n-4.3.0-1.fc10

Comment 13 Fedora Update System 2009-08-25 04:33:32 UTC
qscintilla-2.4-4.fc10, kdebase-workspace-4.3.0-9.fc10, kdeedu-4.3.0-6.fc10, kdelibs-4.3.0-6.fc10, kdeartwork-4.3.0-2.fc10, kdepim-4.3.0-4.fc10, kdeplasma-addons-4.3.0-8.fc10, qzion-0.4.0-1.fc10, qedje-0.4.0-1.fc10, libmsn-4.0-0.12.beta7.fc10, PyKDE-3.16.3-1.fc10, PyQt4-4.5.4-1.fc10, PyQt-3.18.1-1.fc10, sip-4.8.2-1.fc10, kdeaccessibility-4.3.0-3.fc10, kdeadmin-4.3.0-1.fc10, kdebase-4.3.0-1.fc10, kdegames-4.3.0-2.fc10, kdegraphics-4.3.0-1.fc10, kdelibs-experimental-4.3.0-1.fc10, kdemultimedia-4.3.0-1.fc10, kdenetwork-4.3.0-1.fc10, kdepim-runtime-4.3.0-1.fc10, kdepimlibs-4.3.0-2.fc10, kdesdk-4.3.0-1.fc10, kdetoys-4.3.0-1.fc10, kdeutils-4.3.0-3.fc10, kde-plasma-stasks-0.5.1-6.fc10, soprano-2.3.0-2.fc10, strigi-0.7.0-1.fc10, akonadi-1.2.0-1.fc10, kdegames3-3.5.10-6.fc10, kde-i18n-3.5.10-9.fc10, kde-l10n-4.3.0-1.fc10, oxygen-icon-theme-4.3.0-1.fc10, digikam-0.10.0-2.fc10, kdebase-runtime-4.3.0-4.fc10, kdebindings-4.3.0-4.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-08-25 04:43:11 UTC
qscintilla-2.4-4.fc11, kdebindings-4.3.0-4.fc11.1, kdebase-workspace-4.3.0-9.fc11, kdeedu-4.3.0-6.fc11, kdelibs-4.3.0-6.fc11, kdeartwork-4.3.0-2.fc11, kdepim-4.3.0-4.fc11, kdeplasma-addons-4.3.0-8.fc11, libmsn-4.0-0.12.beta7.fc11, PyKDE-3.16.3-1.fc11, PyQt4-4.5.4-1.fc11, PyQt-3.18.1-1.fc11, sip-4.8.2-1.fc11, kdeaccessibility-4.3.0-3.fc11, kdeadmin-4.3.0-1.fc11, kdebase-4.3.0-1.fc11, kdegames-4.3.0-2.fc11, kdegraphics-4.3.0-1.fc11, kdelibs-experimental-4.3.0-1.fc11, kdemultimedia-4.3.0-1.fc11, kdenetwork-4.3.0-1.fc11, kdepim-runtime-4.3.0-1.fc11, kdepimlibs-4.3.0-2.fc11, kdesdk-4.3.0-1.fc11, kdetoys-4.3.0-1.fc11, kdeutils-4.3.0-3.fc11, kde-plasma-stasks-0.5.1-6.fc11, soprano-2.3.0-2.fc11, strigi-0.7.0-1.fc11, akonadi-1.2.0-1.fc11, kdegames3-3.5.10-6.fc11, kde-i18n-3.5.10-9.fc11, kde-l10n-4.3.0-1.fc11, oxygen-icon-theme-4.3.0-1.fc11, digikam-0.10.0-2.fc11, kdebase-runtime-4.3.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.